Name: SearchAndRescue
Version: 0.8.2
Release: alt2.1

Summary: The Search and Rescue helicopter simulator

License: GPL
Url: http://wolfpack.twu.net/SearchAndRescue/index.html
Group: Games/Sports

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://wolfpack.twu.net/users/wolfpack/%name-%version.tar.bz2
Source4: http://wolfpack.twu.net/users/wolfpack/%name-data-%version.tar.bz2
Source11: %name-16.png
Source12: %name-32.png
Source13: %name-48.png

# Automatically added by buildreq on Sat Sep 11 2004
BuildRequires: XFree86-devel XFree86-libs gcc-c++ libGLU-devel libjsw-devel libstdc++-devel xpm-devel

%description
Changing the pace of recent sterotypical game themes, Search and Rescue aims to
create a plot based on positive goals such as saving victims in varying
situations of distress.
The player will be given the chance to pilot different types of rescue aircraft
in a variety of search and rescue style missions.
Search and Rescue is highly customizeable by allowing intermediate players to
create their own missions and allowing experianced players to design their own
aircraft and scenery.

%prep
%setup -q
mkdir data
tar xjf %SOURCE4 -C data

%build
export CFLAGS=$RPM_OPT_FLAGS
./configure Linux -v --disable=arch-i686 --libdir=-L%_libdir
%make

%install
make PREFIX=$RPM_BUILD_ROOT%prefix MAN_DIR=$RPM_BUILD_ROOT%_mandir/man6 install
install -d -m 755 $RPM_BUILD_ROOT%_gamesdatadir/%name
cp -r data/* $RPM_BUILD_ROOT%_gamesdatadir/%name

# icons
install -m644 %SOURCE11 -D $RPM_BUILD_ROOT%_miconsdir/%name.png
install -m644 %SOURCE12 -D $RPM_BUILD_ROOT%_iconsdir/%name.png
install -m644 %SOURCE13 -D $RPM_BUILD_ROOT%_liconsdir/%name.png

# menu entry
mkdir -p $RPM_BUILD_ROOT%_libdir/menu
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): \
	command="%_gamesbindir/%name" \
	needs="X11" \
	icon="%name.png" \
	section="Amusement/Sports" \
	title="Search and Rescue" \
	longtitle="The Search and Rescue helicopter simulator"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS HACKING INSTALL README
%_gamesbindir/*
%_gamesdatadir/%name
%_mandir/man6/*
%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_iconsdir/%{name}*.xpm
%_liconsdir/%name.png

%changelog
* Wed Jan 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.8.2-alt2.1
- Rebuilt with libstdc++.so.6.

* Fri Dec 03 2004 Vitaly Lipatov <lav@altlinux.ru> 0.8.2-alt2
- cleanup spec
- change Group and menu section

* Sat Sep 11 2004 Vitaly Lipatov <lav@altlinux.ru> 0.8.2-alt1
- first build for Sisyphus

* Mon Sep 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.2-1mdk
- 0.8.2

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.1-4mdk
- rebuild for new menu
- cosmetics

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.1-3mdk
- explicit --libdir

* Sat Jun 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.1-2mdk
- rebuild
- rpmbuilupdate aware
- no more explicit requires
- fixed buildrequires
- fixed menu section

* Mon Jul 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8.1-1mdk
- 0.8.1
- quiet setup
- add new xpm files

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.21-2mdk
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>)

* Tue Feb 18 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.21-1mdk
- 0.7.21

* Tue Nov 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.20-3mdk
- add xpm icon

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.20-2mdk
- rebuild

* Mon Jul 22 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.20-1mdk
- 0.7.20
- build with new gcc

* Fri Mar 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.19-1mdk
- 0.7.19
- used png for icons

* Sun Jan 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.15-2mdk
- rebuild with new libjsw
- spec cleanup

* Thu Oct 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.15-1mdk
- 0.7.15

* Thu Sep 06 2001 Lenny Cartier <lenny@mandrakesoft.com 0.7e-2mdk
- rebuild against new jsw

* Thu Jun 21 2001 Lenny Cartier <lenny@mandrakesoft.com 0.7e-1mdk
- updated to 0.7e

* Wed Apr 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7d-2mdk
- updated by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- fix compilation flags
	- added Mesa-common-devel to buildrequires
	- synced with Lenny's spec

* Thu Apr 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7d-1mdk
- updated to 0.7d
- fix install

* Wed Mar 14 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.7c-1mdk
- updated to 0.7c
- fix requires & added buildrequires

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7-2mdk
- use egcs
- used specfile from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- corrected summary (Packager's law : any copy & paste will bring at least one error in specfile)

* Tue Feb 06 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.7-1mdk
- first Mandrake release
